Update a group

Updates the specified group. Only name and description can be updated. Any parameters not provided will be left unchanged.

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

group_idstringRequiredformat: "gr_.+"

Request

This endpoint expects an object.
namestring or nullOptional

Human-readable name of the group.

descriptionstring or nullOptional

Short description of the purpose or scope of the group.

Response

OK
idstringformat: "gr_.+"

Unique identifier for the group. Prefixed with gr_.

namestring

Human-readable name of the group.

statusenum
Current lifecycle state of the `group`, indicating its current progress. Possible values are: - `pending`: Group is being configured, may require a `quote_intent` or a `setup_intent` to be ready. - `ready`: Setup is complete, regardless of policy start dates employees could start enrolling into policies. - `archived`: Archived as the group is no longer active or in use for any reason. Employees can no longer be added to the group.
Allowed values:
group_typeenum
Indicates how policies are organized for this group. - `single`: exactly one policy is associated to the group. - `bundled`: multiple policies are bundled under the group. - `undefined`: type not yet determined or not applicable.
Allowed values:
employer_idstringformat: "er_.+"

Identifier for the employer that owns this group. Prefixed with er_.

group_policy_idslist of strings
Group policy unique identifiers associated with this group.
group_quote_intent_idslist of strings
Group quote intent unique identifiers associated with this group.
group_setup_intent_idslist of strings
Group setup intent unique identifiers associated with this group.
descriptionstring or null

Short description of the purpose or scope of the group.

objectstring or nullRead-only
The object type

Errors